<?php
require 'config.php';
require '2019-09-02-why-you-should-learn-esperanto.cfg.php';
require 'templates/blog-header.php';
?>
<p><a href="https://en.wikipedia.org/wiki/Esperanto" target="_blank" >Esperanto</a> is an artificial language, created by Dr. Zamenhof in the late 19th century. Its objective: become the <i>lingua franca</i>, a language that would bridge different cultures of the world, an international second language. This is often referred to in Esperanto as the <i>fina venko</i> ("final victory"). Needless to say, Esperanto is far from achieving this goal, and probably never will. The closest we may ever see is Esperanto being implemented as a European regional language, but even this idea is far-fetched.</p>

<p>So, why would anyone want to learn a language no one speaks? After all, the primary purpose of a language is communication. Well, there are several, some of which you may be surprised by.</p>

<p>Firstly, Esperanto is extremely easy to learn, it's estimated that with 150 hours of study the learner can be proficient in the language, while other languages take years to be able to use comfortably. How is this practical? Once you learn one language, it makes is much easier to learn another, especially when you learn basic linguistic concepts, which Esperanto is extremely good at. In Esperanto everything is consistent, there are no irregularities or exceptions, so whenever a word ends in 'e', it's an adverb, always; whenever a word ends in 'o' it's a noun, always; and so on. This means that your brain more easily learns these linguistic concepts and they are easier to transfer to other languages you may learn in the future. Want proof? There's a <a href="https://invidio.us/watch?v=8gSAkUOElsg" target="_blank" >TEDx talk about Esperanto in UK schools</a>, in school A they had students who had learned Esperanto for 18 months, and in school B students who had learned French for two years. Both groups of students were asked to translate a sentence in French (<b>not</b> Esperanto). The only children to successfully translate the sentence were from school A (those who had never had a French lesson in their lives), and in the averages of the two groups school B performed only marginally better than school A (again, students at school A had never studied French). Esperanto simply gives learners better language comprehension abilities. So, if you're thinking of learning a language (for work or pleasure), consider learning Esperanto first.</p>

<p>Secondly, the Esperanto community itself is extremely rich. Despite not being a popular language, Esperanto speakers are very interconnected, and there is a truly massive international community. There are people from all around the world who are learning Esperanto just like you would, and would be delighted to have someone to talk to. You may even want to check and see if there is an Esperanto group in your city, you may be surprised. People who learn Esperanto tend to be interesting people precisely because they're taking time out of their day to study a language that "nobody speaks". Rather than people who begrudgingly study a language for work, these people have a true passion for what they're doing. What's more, they tend to be passionate about a multitude of other subjects as well, and are very interesting people overall.</p>

<p>Thirdly, despite not becoming an official <i>lingua franca</i>, you can actually use Esperanto around the world. Esperantists (the demonym for someone who speaks Esperanto) are usually extremely welcoming people, to the point where there is a website called <a href="https://www.pasportaservo.org/" target="_blank" ><i>Pasporta Servo</i></a> ("Passport Service") where Esperantists offer lodging to other Esperantists! There are apps and websites (like <a href="https://esperantujo.directory/" target="_blank" ><i>Esperantujo</i></a>) where you can find Esperantists that live in any given city you're living in or visiting.</p>

<p>Fourthly, and finally, it's just a wonderful language to learn. If you're a linguaphile, then Esperanto is a beautiful, easy, and robust language to learn. Within weeks of study you'll already be forming complex sentences, within months you'll be chatting with people online, and withing a year you will be able to have splendid conversations with interesting people.</p>

<p>If you would like to start learning Esperanto, I highly suggest finding an Esperanto group near you, and getting to know the language via <a href="https://lernu.net/en" target="_blank" ><i>Lernu!</i></a> ("Learn!"). If you're familiar with <i>Duolingo</i>, they also have a course for Esperanto in various languages, but I don't believe it's as good as using <i>Lernu!</i>, which concentrates more on giving you grammatical theory than <i>Duolingo</i> does.</p>

<p>Ĝis la revido!</p>


<?php
require 'templates/blog-footer.php';
?>