<?php
require 'config.php';
require '2020-03-17-modesty.cfg.php';
require 'templates/blog-header.php';
?>
<p>I'm unsure about most people, but throughout my life when I've heard the word "modesty" being used, it has typically been in reference to vestment and how much skin one is exposing. In other words, an immodest vestment would be one that emphasizes the sexual or indecent attributes of the person (typically a woman) while a modest vestment would be one that respects the sacred nature of these and attempts to pull attention away from these. And although this is most certainly a form of modesty, it is a very limited understanding of it.</p>

<p>Perhaps the easiest way to think of modesty is as an act of charity. It's about making sure you're not drawing attention away from what is important. During the Holy Mass, the object of everyone's attention should be God and Christ in the Eucharist. To dress or act in a way that distracts people from this would be immodest, as you're drawing attention to yourself. You can also interpret this from a positive lens, where it would be modest to dress or act in such a way that you not only do not draw attention to yourself, but remind people of God by giving example of a reverent and respectful behaviour. Even some things that we may interpret as being modest such as wearing a veil for Holy Mass can be immodest, such as if the veil were to be colorful instead of plain, as this draws attention away from God.</p>

<p>However, the value of modesty is not only limited to the spiritual, but even in much of secular society; which is sadly something that's been less emphasized. Take the example of a school classroom. The objective of the class is to pay attention to the lecture and the material at hand. For anyone (including the teacher) to dress or act in such a way that draws attention away from these is immodest.</p>

<p>This also explains how modesty is something contextual. A bathing suit is immodest dress in a classroom or at church, but is modest at the beach or pool. To yell and laugh at a funeral is also immodest behaviour, but it is perfectly acceptable when hanging out at the bar with friends. Or perhaps what is probably more astounding to some people, you can be immodest by dressing-up too much. To dress in a suit and tie may be modest dress at a wedding or a similar formal event, but it is extremely immodest to wear to a cook-out in the park.</p>

<p>It is no surprise, then, that with such a limited understanding of modesty we assume that it is only something that applies to women and in the sexual aspect alone; or to men to a lesser degree, since we generally do not try to emphasize our more sexualized attributes. This leads many men to dress and act in very immodest ways. It is not uncommon for men to dress in such a way that emphasizes their biceps, to wear flashy clothing, to have a strange haircut, and especially any article that expresses our wealth. This last form of immodesty is very common among men, especially as we use it to measure up to one another, not only with vestment, but also with our cars. This is not to excuse the immodesty of women who dress in such a way that draws attention to them sexually, but rather to raise men to the same standard, of which we have been lacking. If someone is to be drawn to us, men or women, let it be by our character.</p>

<p>It is quite the sign of the times that modesty in all these regards has been losing its presence and importance. Perhaps the last bastion of modesty lies in certain formal events and religious ceremonies. The most probable cause of this is the individualistic mentality of the age we're in. We are taught to make a brand of ourselves and to market ourselves, and as any good salesman knows, the best way to market your product is by figuring out how to set it apart from the rest, especially in the most superficial (and easiest to notice) manner. The first aspect of this is the mentality of "be yourself". The idea is that there is a <i>you</i> that exists that is immutable and does not truly change, or at the very least has no reason to ever change or improve. As such, rather than attempting to perfect and improve ourselves throughout the course of our lives - such as how Christians are called to follow the example of Christ and become more like Him - we instead are supposed to express this inner self. What's more, because we believe this <i>self</i> is at least semi-immutable, or has no reason to change since every person's way of <i>being themselves</i> is equal, we instead ask that the entirety of society change to adapt to our manufactured <i>self</i>. But interestingly enough, we extend this idea of <i>self</i> beyond simply being our character to being primarily about our outward appearance, and above all it is about what we consume.</p>

<p>However, this ideal ends up running into a contradiction with itself. In order to market ourselves we create an image that seems unique and draws attention to us, but when this image becomes popular then it no longer draws attention and we try to find something else. This falls into direct contradiction with the supposed immutability of one's <i>self</i>, which is why we often fall back to the relativity and equality of each person's <i>self</i>.</p>

<p>Therefore, taking a step back, it would seem that the most <i>unique</i> thing to do is precisely to be modest. While everyone continues in the rat race of trying to stand out, simply following the example of Christ and working on improving our character would seem to be the most outstanding thing we can do. Don't act in the interest of drawing attention to yourself, but act in the interest of being positively modest, and redirecting people's attention to what is truly important. This itself has much more merit and is deserving of the respect of others.</p>


<?php
require 'templates/blog-footer.php';
?>