<?php
require 'config.php';
require '2020-04-17-arm-boards-and-user-control.cfg.php';
require 'templates/blog-header.php';
?>
<p>In the past I've mentioned both ARM and even the ARM-based laptop
currently in development, the MNT Reform. Since they do not use any kind
of microcode for system instructions, it is a very appealing alternative
to x86 architectures (be it Intel or AMD). No more malware running in
the background possibly reading your memory and sending it off to
Intel/AMD headquarters. What's more, these boards tend to be cheaper and
consume less energy than x86.</p>

<p>Even so, something that is problematic about ARM is that many of the
boards are for more <i>restrictive devices</i>. What I mean by this is
that generally the smaller the device, the more restrictive it is. We
start with workstations where you can easily replace practically any
piece of it with another; from something as general as the GPU to
something as essential as the CPU itself. But as the device gets
smaller, it becomes less modular. It then becomes impossible to replace
certain parts. In the case of ARM boards this is a very common problem,
as generally they are made for embedded devices, mobile phones, and more
recently netbooks and servers. As such, it is common with these boards
for the components to be directly attached and impossible to
replace. Although, luckily ARM seems to be catching up in this regard as
companies start considering using ARM for different use-cases, such as
personal computers, servers, and even super-computers.</p>

<p>None of this, however, detracts from the fact that some of the most
free options we have today are ARM-based, when it comes to software
freedom. And it may even begin to make complete software freedom more
accessible to folk since these options can be cheap, and yet powerful. A
good example of this would be the computer from which I am currently
writing this post, an ASUS C201P. It's a really cheap chromebook with
4 GiB of RAM and a four core CPU. It uses a rockchip board underneath,
and one can <a href="https://libreboot.org/docs/install/c201.html"
target="_blank" >easily flash libreboot on it</a>. It's even possible to
make use of graphics acceleration without non-free Mali drivers by using
Panfrost - which comes included in the latest kernel versions, since 5.2
I believe. The only components you won't be able to use because of their
non-free firmware/drivers would be the webcam and the WiFi card.</p>

<p>Overall, it would seem that ARM continues to make complete user
control over their software more and more accessible. And as their
production diversifies we will likely see boards that allow us to
customize more components, such as the <a
href="http://macchiatobin.net/" target="_blank" >Marvell
MACCHIATObin</a>. It will be exciting to see what ARM has in store for
us and the free software movement.</p>


<?php
require 'templates/blog-footer.php';
?>