<?php
require 'config.php';
require '2020-12-12-what-is-love.cfg.php';
require 'templates/blog-header.php';
?>
<p>I don't normally like making pop culture references, but with this
topic I find it too tempting. Ironically, however, the famous song by
Haddaway "What is Love?" doesn't actually answer the question, but is
simply a very catchy song - no surprise there.</p>

<p>Love is something that we talk about a great deal today. It's a word
especially present in social movements which try to promote tolerance
&amp; acceptance of certain behaviours or persons. And indeed, as
Christians we are called to love the Lord our God, and to love our
neighbors as ourselves.<sup><a href="#r1" >[1]</a></sup> But what does
it truly mean to love somebody?</p>

<p>Perhaps the biggest mistake is to confuse the objective act of Love
with subjective taste. This is not surprising since generally we find it
difficult to put our finger on it, having no formation on the matter. As
a consequence, we believe that Love is simply a more potent act of
<i>liking</i> something. The confusion is only exaggerated when we say
how we <i>love</i> a given food, when truly what we mean to say is that
we like it. We're taught since we're children this erroneous scale of:
hate, dislike, like, love - although hardly ever do we hear people use
the word "dislike" anymore, which considering the true meaning of Love
(and therefore Hate), I hope that my dear reader will learn to
appreciate the word "dislike" after this. It is perfectly possible to
dislike a person, and still love them. In fact, with regards to people,
we often go through phases of liking and disliking the very same person.
Yet, at all moments we can still love them. This is precisely because
liking and loving a person are not the same or even related. Love,
properly speaking, is a desire for Good (for oneself or another).</p>

<p>With this definition of what Love is, we are able to truly comprehend
what it means to love the Lord our God, and (especially) to love our
neighbors as ourselves. We must love the Lord our God because He simply
is Good. We must desire Him because He is Goodness itself. What's more,
all goodness we may find in this world is nothing more than a pale
reflection of God's perfect Goodness. Therefore, we must love God,
perfect Goodness, above absolutely all earthly goodness which is simply
a pale reflection of Him, loving earthly goodness as what it is: an
imitation of Him. In other words, loving God is the same as saying we
desire Goodness in its most complete and perfect form, which we can only
achieve when we are in full communion with Him in the Celestial
Kingdom.</p>

<p>Now, using this same concept we can discover what it means to love
our fellow Man: to desire Good for them. If I desire Evil upon someone,
I don't love them, I hate them! As such, it is possible to dislike
someone but still love them, just as it is possible to like someone but
hate them. Both of these sound rather contradictory, but they are more
common than you may think. For the former, consider all those people
that you may personally (and therefore subjectively) dislike in your
life. Do you wish Evil upon them? Do you desire for them to be harmed?
Well, perhaps for some you do, and you could properly say that you
<i>hate</i> those people, but my guess is for the vast majority of the
people you dislike you don't wish these things upon them. In fact, there
may be some who you truly love despite disliking them, and wish the best
for despite how you feel about them subjectively.</p>

<p>The latter of the two, liking and hating a person, is perhaps the one
that seems the most contradictory, and yet it is (in my opinion) the
most common. This would be subjectively finding a person enjoyable,
while at the same time desiring or preferring Evil for them. Of course,
this hardly ever takes the form of truly wanting to actively inflict
harm on this person, but rather its most common and insidious form is in
that of omission, especially omission of correction. That is to say,
when we value our personal convenience and our amicability with the
person over their own (or our own) good - i.e. effeminacy. This
mentality of hatred runs rampant in our current era, and irony of
ironies it is often referred to as <i>love</i>. That sin of omission
which is the toleration of Evil, which constitutes an act of hatred
against our fellow Man, is called <i>love</i>. In reality, this is
nothing more than egoism.</p>

<p>As such, we can conclude that toleration of Evil is not an act of
Love or Charity, as some would have you believe, but all the opposite.
Toleration of Evil is an act of Hatred and an offense against Charity,
and therefore an offense against the Almighty God. You are not doing
good by your fellow Man by permitting them to persist in their error,
you are condemning both them and yourself, for <i>molles regnum Dei
non possidebunt</i>.<sup><a href="#r2" >[2]</a></sup></p>

<label id="r1" >[1]</label> Gospel According to St. Matthew
22:37-40<br />
<label id="r2" >[2]</label> First Letter to the Corinthians 6:9-10
(Vulgate)

<?php
require 'templates/blog-footer.php';
?>