<?php
require 'config.php';
require '2021-04-28-the-idolatry-of-technology.cfg.php';
require 'templates/blog-header.php';
?>
<p>Despite being a computer engineer (student), I am actually quite
skeptical of technology and new technological innovations, especially
the more complex and interdependent they become. My exposure to
Primitivist literature has also contributed significantly to this
skepticism, although I always try to be as pragmatic as possible. I say
this so that the reader may know my personal biases on this matter prior
to exposing the topic at hand.</p>

<p>A certain tendency that I believe is very frequent in the
technologically developed world today is one of absolute reliance on
complex technologies, and believing that any solution may have a
technological - or what people will often (erroneously) call
"scientific" - solution. That is to say, the belief that any problem can
be solved with a new technological innovation, and any problems we
currently face only exist because we have not yet (but will) find a
technological solution for them.</p>

<p>It is first worth noting that this is a kind of faith. You can say
it's a faith in technology, "science", or simply human ingenuity, but
ultimately it is faith. The question to ask is whether this faith is
well-founded. Should we have faith in technology as a means of our
salvation? It may sound silly when phrased that way, but this is
ultimately the question. Just that instead of the spiritual salvation
we're speaking of a temporal salvation.</p>

<p>I cannot help but to conclude that this faith is wrongly founded,
since it is faith in something that is ultimately as limited as we are,
and therefore limited by the laws of the universe. If to solve a given
problem simply with a new technology would require breaking the laws of
the universe, then said solution simply isn't going to be possible,
since we are unable to break these laws no matter how hard we may try.
It's also worth noting that technology has a history of not solving the
world's problems, or what's worse, making new ones. We simply have to
consider problems that have always existed, such as poverty, hunger,
war, violence, etc. These have always existed, and they always will.
Technology hasn't saved us nor will it.</p>

<p>However, especially for the religiously inclined, I believe this is a
dangerous kind of faith, as faith in technology ends up turning into an
idolatry of technology, turning it into a new god. Rather than having
faith in God's Divine Will, and changing ourselves to live in accordance
to His Will, we believe that we by means of our own creations may save
ourselves and as such construct a kind of heaven on Earth. This, as any
good Christian will know, falls into three kinds of errors: Pelagianism,
Millenarianism, and idolatry. I've already explained how this becomes
idolatry. It is Pelagian because it expresses an ability for Man to save
himself through his own merits, in this case his own human ingenuity,
therefore believing we do not need God. This is no less than the sin of
the devil, and the temptation which he presented to Adam and Eve. It is
also Millenarianism, as it aims towards the creation of a terrestrial
paradise, for utopia to be created here on Earth rather than God Himself
bringing us into the beatific vision, which we do not deserve but
receive by His Grace and Love alone.</p>

<p>Finally, there is a real possibility of falling into an additional
error, which is that of Gnosticism. This is particularly present in the
ideas of Transhumanism. The idea of transcending our human bodies so as
to surpass its limitations and, once again, <em>be like gods</em>. This
is, by its very essence, an <em>anti-human</em> mentality, as it rejects
something that is innate to human beings: our bodies. We are not spirits
trapped in a body, we <em>are</em> our body and the spirit which
animates it. To separate these is to say that one's foot and one's hand
are not one's body. Both form part of one's body, just as both body and
soul form part of oneself.</p>

<p>Ultimately, I believe this post is more of a rant than anything else,
but I do hope that it gives you, the reader, something to think about
with regards to your relationship with technology in your life, and your
attitude towards technology.</p>

<?php
require 'templates/blog-footer.php';
?>