<?php
require 'config.php';
require '2021-05-15-return-to-reality.cfg.php';
require 'templates/blog-header.php';
?>
<blockquote>
	Abstractions are created by human beings and have no existence apart
	from the human mind. Thus, especially these days when moral
	relativism has attained the status of dogma, it is essential to
	restore a philosophy that is not centered on a subjective
	abstraction, but on objective reality. What is needed is
	personalism, a way of thinking based on the actuality of the human
	person created by God.<br />
	- <i>Economic Personalism</i> by Michael D. Greany and Dawn K.
	Brohawn, ch. 1
</blockquote>

<p>I've started to read the book "Economic Personalism" by Michael D.
Greany and Dawn K. Brohawn, and will likely do a book review of it once
I'm finished. But one topic that is brought up at the very beginning of
the book in its section "Faith and Reason" is how we have come to adopt
a sort of <em>fideism</em>, which is "the idea that truth is determined
by what one believes, rather than what can be proved by reason or that
is consistent with reason and thus conforms to the natural
law."<sup><a href="#r1" >[1]</a></sup> This may seem somewhat
counter-intuitive, considering we live in an age of so many
self-proclaimed skeptics, atheists, and agnostics, as well as so many
others who claim to be "pro-science". How could it be, then, that such a
skeptical and self-proclaimed scientific population could fall for the
evident errors of fideism? The reason is precisely that we are not
skeptical, but rather we are simply critical (of other people's
positions).</p>

<p>To begin, as a Christian, I believe I am obliged to outline the
difference between (religious) faith and fideism, as these are often
confused - even by those who are religiously affiliated. For it is often
the criticism of our modern age that religious faith is nothing more
than fideism; it's a sort of blind belief in what an authority tells
you. As I mentioned, there are most definitely religiously affiliated
persons who fall into this category, but that is not the proper
understanding of faith. As understood by the Catholic Church, "Faith is
man's response to God, who reveals himself and gives himself to man, at
the same time bringing man a superabundant light as he searches for the
ultimate meaning of his life."<sup><a href="#r2" >[2]</a></sup> In this
sense, faith is not about rejecting reason, but working together with
reason as well as God's revelation in order to learn things we could not
have known otherwise. As an analogy, if a friend tells me an intimate
truth about his life that only he could know, I first ask myself whether
what he is saying is something I can reasonably assume to be true or, to
the contrary, if it is unreasonable; and if it is reasonable then I make
the second decision as to whether or not I believe him (to have faith)
or not. In this regard, divine revelation is something that cannot
contradict with what we know to be objectively true about the world, and
so reason informs our faith, and faith informs our reason with knowledge
we could not have otherwise obtained due to our limited capability of
perception.</p>

<p>With this out of the way, we can finally move into the bulk of what
this article is about: abstractions and reality. The real purpose of an
abstraction is to help us to comprehend reality by generalizing it into
something more manageable for our limited capacity to process
information. If we were as God, who is omniscient and therefore has full
knowledge of all things, then abstractions would be unnecessary, as they
would simply be imperfect virtualizations of reality. However, seeing
that we do not have such extensive knowledge, we must generalize the
world around us into something we can manage. These become our
abstractions. It is worth noting, therefore, that although an
abstraction of reality may be very accurate it will never be perfect,
and therefore will always require fine-tuning and development. There is
also no correct answer with regards to these abstractions, and to
believe that one has such a correct answer is naïve. For although one
may be more correct than another, or one may be true in one area but
fail to represent reality in another, all will ultimately be imperfect
and therefore lacking. This does not make all abstractions equal, but
simply recognizes that beyond that which we know from objective reality
we can only speculate, and we can only assume to be true insofar as it
reflects objective reality. Ultimately, this is the basis for the
scientific method.</p>

<p>The problem becomes when we project our abstractions unto reality,
and as such would rather ignore objective truth in favor of our
abstraction. For any person who comes from the background of an
Abrahamic religion this is a clear case of idolatry: rather than
adhering first to God who is the
truth,<sup><a href="#r3" >[3]</a></sup> we adhere to our own inventions
(i.e. idols). This is perhaps most evident in our current
socio-economic debate, where factions are created not with the
intention of finding truth on how to practically resolve the problems of
the governed, but to impose an ideological agenda. These ideologies are
simply abstractions of how humans function as a society. And by
projecting our abstractions unto reality, we will ultimately end up
falling into contradiction with reality due to the imperfect nature of
our abstractions. As a consequence, the more we fight against reality
and turn towards our abstractions, the further our abstractions will
stray from reality.</p>

<p>To all this, there are going to be many reactions, but one in
particular which I would like to address is the reader who reads this
and thinks to himself: "Ah, yeah, those [other faction] are so far
removed from reality, unlike myself." The reason why I find this
reaction more worrisome is that it is prideful, and pride is perhaps the
most dangerous of sins. Rather than taking this as an opportunity to
criticize those who think differently from us, it is an opportunity to
look at our own beliefs and discern what is a part of reality and what
is an abstraction. This is not to change our beliefs, for if we didn't
believe it to be true then we wouldn't believe it in the first place;
but rather for us to acknowledge that all those beliefs which are
abstractions will ultimately be lacking, and we must be open to adapting
them in accordance to objective reality.</p>

<p>Going further than the sphere of socio-economics, this problem of the
abstract overriding the tangible is also present in our day-to-day
lives, for it is not only an issue of ideology, but our entire life's
philosophy that revolves around making the world around us conform to
our views on how it should be. I speculate that it is because of this
that there is such a heavy influence on convenience in our cultures
which is ever more present. We want to mold the world around us to our
view of how it should be; a creation made in our image &amp; likeness.
The problem is that, unlike God, we are not the world's creators. For
although God did give us dominion over
creation,<sup><a href="#r4" >[4]</a></sup> it is a form of custody, and
therefore stewardship, as it never truly ceases to be God's as is all of
creation. As such, although we may try to adapt it to our desires -
whether ordered or disordered - God's will over His creation will
ultimately prevail.</p>

<p>It could be said that this stems from a Millenarian notion of the
creation of the Kingdom of God on Earth. The obvious flaw being that
only God bring His Kingdom to us. It is impossible for us to create
paradise or achieve any such goal on Earth, as this is only possible by
God's power alone in Christ's Second
Coming.<sup><a href="r5" >[5]</a></sup> Yet we have grown so accustomed
to adapting the world around us - particularly through technology - in
order to suite us that we forget that there are aspects of this world
that we cannot change. And it is precisely when we are confronted with
these elements of reality that we cannot change that we fall into a
spiral, continuously trying to turn reality into something it's not and
frustrating ourselves when we find that, no matter how hard we try, it
simply will not change to meet our desires.</p>

<p>From this, my speculation is that we need to reconnect with reality,
with what is tangible, and with that which we cannot change, and learn
to accept those things which are beyond our control and manipulation. A
big part of this, I believe, is to take time to disconnect from
artificial environments, as these have all been molded by us to adjust
to us. It is precisely by entering environments which we have not
adapted to ourselves that we can experience this. And this need not be
solely leaving the city or taking a walk in the park. Simply doing more
physical things, working with our hands, cooking, reading physical
books, lighting a candle, etc. These acts remind us of what is material,
not simply the virtual reality to which we have been accustomed.</p>

<p>As a consequence of our reconnection to reality, I believe that this
may even help us to become more conscious of our environment and the
problems that we are causing to it. Being so divorced from our
surrounding environment, the flora &amp; fauna, we do not truly notice
when it is suffering from damage as a consequence of us trying to adapt
it to our desires and convenience. Instead we would be directly affected
by the consequences of our actions, and as such be more prone to react,
not by force of any legislation or authority, but simply out of respect
for the very environment by which God sustains us and has given us a
special stewardship over.</p>

<p>Ultimately we are facing an issue of divorcing ourselves from reality
and being sucked into a virtual world of our own abstractions and
wishful thinking. And the further we descend into this hole, the harder
it's going to be to get out. We must make a conscious effort to
reconnect ourselves with reality and recognize our abstractions for what
they are: generalizations, tools that help us to better understand a
world that is beyond our total comprehension. Only then can we begin to
work on moving forward and progress in accordance to our human
nature.</p>

<ol class="refs" >
	<li id="r1" >
		<i>Economic Personalism</i> by Michael D. Greany and Dawn K.
		Brohawn, ch. 1
	</li>
	<li id="r2" >
		<i>Catechism of the Catholic Church</i> § 26
	</li>
	<li id="r3" >
		<i>Gospel according to St. John</i>, 14:6
	</li>
	<li id="r4" >
		<i>Genesis</i>, 1:26-28
	</li>
	<li id="r5" >
		<i>Catechism of the Catholic Church</i> § 676
	</li>
</ol>

<?php
require 'templates/blog-footer.php';
?>