<?php
require 'config.php';
require '2021-09-12-literal-interpretations-of-scripture.cfg.php';
require 'templates/blog-header.php';
?>
<p>Some time ago, I was talking with a friend, and he brought up how a mutual
friend of ours had suggested that it is possible that Moses, the Biblical
character from the Old Testament, did not historically exist. Rather, that he
is simply a literary character used to explain Israel's liberation from Egypt
and settlement in the Holy Land. My friend asked me this to get my opinion on
whether or not this is doctrinally acceptable. My answer, however, is not as
simple as a "yes" or "no". Perhaps it is not, I have not investigated to see if
the Church has any magisterial teaching on this matter, but I would like to take
this opportunity to comment on interpreting Scripture in general as a historical
text.</p>

<p>To begin, I'd like to say that I greatly respect this mutual friend of ours,
and I know that either he was joking when he said it, or he has good reason to
believe it's a possibility. This mutual friend was a seminarian, and has studied
a Master's degree in history. He is also a person I know to uphold doctrinal
orthodoxy, even if it is unpopular. So whether or not I agree with his opinion,
I believe it is respectable simply from his credentials and merits. However,
since I do not have much knowledge regarding this topic, I will instead focus on
another topic where I am knowledgeable of the magisterial teaching and current
scientific theories regarding the matter: Creationism versus Evolution.</p>

<p>Whenever we bring up a question regarding Faith or Morals, our first step
must always be to pick up a Catechism, or in general see what the Magisterium of
the Catholic Church has to say on the matter. Not just to find a definitive
statement, but especially to find the reasoning. If the Church has an official
teaching on such a matter of Faith or Morals, we must either subject our
opinions to that teaching, or reject the teaching and Christ's Church (i.e.
reject Catholicism). It's not necessary to know why things are the way they are,
only God knows that for sure. But we must be humble like children before the
infinite wisdom and knowledge of God. If, on the other hand, the Church does not
have any definitive teaching on the topic, then we are free to take a variety of
opinions so long as they are compatible with the rest of Catholic Doctrine.</p>

<p>To explain this with our example, the Church has <em>no definitive teaching</em>
on the question of Creationism or Evolution; and in fact, She shall <em>never</em>
have such a teaching, as this is a question of science and not Faith or Morals.
As such it lies strictly outside the jurisdiction of the Church's teaching
authority. You can easily discern this by contemplating whether believing in one
or the other contradicts any doctrine for our salvation, which neither Evolution
nor Creationism does.<sup><a href="#n1" >(1)</a></sup> As such, it is not
problematic for a Christian to believe either of these theories. God will not
judge either of these people based on their beliefs on how species came to be as
they are.</p>

<p>So the question now stands, if the Church has no official teaching, and
therefore which you choose to believe has no direct effect on your salvation,
which should you believe? Should you believe the interpretation of Scripture
that is more true to the literal meaning, or the interpretation that has been
harmonized with modern scientific discoveries? My view on the matter may be
controversial, but I believe you should believe whatever helps you to grow in
faith and charity. If it helps your faith to believe in Theistic Evolution, then
do so. If you find it difficult to harmonize Evolution with Biblical inerrancy
then go ahead and believe in Creationism. But most importantly: be respectful of
those who disagree with you, and recognize that this one belief of yours in
<em>personal</em>. Do not convince others that this is the only thing that a
good Christian can believe. And to carry my point home: don't use your personal
belief as an excuse to hinder scientific discovery on the matter. If you are
truly convinced of your opinion, let the truth find its way out, as it
eventually will. But do not be afraid of scientific discovery, for truth cannot
contradict Truth.</p>

<p>Finally, since I'm bound to get some commentary on the matter, I will
publicly state that I accept Theistic Evolution. I think that this theory helps
to explain certain accounts in Genesis, such as where Cain's wife comes from;
but as a lay person, I don't wish to be so naïve as to proselytize others with
my belief. Only God knows the ultimate truth behind these sorts of things, and
on the final day when the truth is revealed to us, we should be humble in
accepting whatever may be the case. So again, believe what you want, but accept
that the Church has no official standing on these matters, that scientific
theories are imperfect and subject to change, that you may be wrong, and above
all that it's ultimately not that big of a deal.</p>

<h3>Notes</h3>
<ol class="notes" >
	<li id="n1" >
		When speaking of "Evolution" I'm specifically referring to Theistic
		Evolution. As a random and meaningless evolution that is not directed by
		God for the creation of Man in His image &amp; likeness is directly in
		contradiction with Judaeo-Christian theology.
	</li>
</ol>

<?php
require 'templates/blog-footer.php';
?>