<?php
require 'config.php';
require '2024-11-11-introducing-menu-helper.cfg.php';
require 'templates/blog-header.php';
?>
<p>For a long time now I've been trying to develop a program that would help to
choose meals for the week, and I've finally made it.</p>

<p>The problem I tend to have in choosing meals for the week is that there are
so many to choose from that I end up simply choosing the same things over and
over again. This is fine when you're the only person eating (and you're a man),
but when you're making meals for others it can get tiresome. So I wanted some
system/database that I could consult that would easily give me recipes I could
cook, but filtering them by what I need or want. It's because of this that I
started working on Menu-Helper.</p>

<p>The idea was that Menu-Helper would hold a database of recipe names and a
short description (since I don't need instructions for recipes I already know),
along with associated ingredients and tags that I could use to filter recipes.
Thus, let's say I had a lot of potatoes that I want to use, I could filter my
recipes to only include those which contain potatoes in them; or if I want a
dinner recipe I could filter for the tag "dinner." This would bring down the
number of recipes I have to consider which makes decision-making much easier.
</p>

<p>Now, although I've had this idea for years it took me a very long time to
write this mostly because I thought of taking advantage of the opportunity to
write it in a new language like Python or Rust, but in the end I got bogged down
in trying to use the language itself that I got discouraged and eventually
abandoned the project. So this last time around I decided to simply write the
program in C++, which I'm already used to. The project went much quicker and I
finally was able to release v1.0.</p>

<p>Like my other projects, the code for Menu-Helper can be found in my personal
git repository<sup><a href="#r1" >[1]</a></sup> as well as on GitHub.<sup><a href="#r2" >[2]</a></sup>
If you would like to contribute to the project, please read the contribution
information.<sup><a href="r3" >[3]</a></sup>
</p>

<h3>References</h3>
<ol class="refs" >
	<li id="r1" ><a href="https://code.ortegas.org/nortega/menu-helper" target="_blank" >nortega/menu-helper: A small program to help pick meals from a database of recipes. - menu-helper - Ortega Code</a></li>
	<li id="r2" ><a href="https://github.com/naortega/menu-helper" target="_blank" >naortega/menu-helper: [MIRROR] A small program to help pick meals from a database of recipes.</a></li>
	<li id="r3" ><a href="https://code.ortegas.org/nortega/menu-helper/src/branch/master/README.md#contributing" target="_blank" >menu-helper/README.md Contributing - Ortega Code</a></li>
</ol>

<?php
require 'templates/blog-footer.php';
?>