<?php
require 'config.php';
require '2025-02-13-contextualizing-scripture.cfg.php';
require 'templates/blog-header.php';
?>
<p>
Generally when reading the Holy Scriptures I like to read from a Bible that
contains a lot of footnotes. In one of them (a large edition of the Jerusalem
Bible in Spanish) four fifths of the first page of Genesis is actually filled
with footnotes. For some I've met this is a hindrance for the reading of
Scripture - a distraction - and to each their own, I guess. But for me it is a
great aid for the reason that I want context.
</p>

<p>
While reading Scripture we often come across passages, both in the New and
especially in the Old Testament, which are quite incomprehensible to our modern
minds. This is because we lack a lot of the knowledge of the culture, customs,
and language of the time. For me this makes the reading of said passages to be
greatly difficult and even misleading, since at a loss for the proper context we
may come to an erroneous conclusion (something which the devil truly desires as
we attempts to use Scripture to confuse for his own purposes). Thus it can also
be perilous to our spiritual life to read the Bible without proper guidance. To
borrow a silly example given by Trent Horn, imagine two thousand years from now
someone were to look at media from our era and find the term “lady-killer,” and
assume we're speaking of someone like Ted Bundy, because they lack the cultural
and linguistic context to know that it is a colloquial term used to refer to men
who are unusually attractive to women. This demonstrates, therefore the
importance of contextualizing texts.
</p>

<p>
This being said, it's important to know the difference between contextualization
in order to know the meaning underlying the text (which in the case of Scripture
is inerrant) versus contextualization so as to arbitrarily dismiss parts of
Scripture as merely products of their time. This sort of practice is very common
among the more liberal Christians (and sometimes even not so liberal) who will
look at certain passages, particularly of St. Paul's epistles, and claim that we
can completely disregard them because it was “merely a product of his time,” in
what ultimately amounts to suggesting that we strike through an entire passage
of Scripture. Yet, this is not to say that the passage ought to always be
interpreted in its most superficial meaning, but to understand that there is an
underlying meaning to the passage that must be sought. A clear example of this
can be seen in the case of St. Paul's teaching on women's head coverings (1 Cor.
11:2-16). Surely today even the Church does not require, as it did, that women
wear veils in churches, yet this does not mean that this passage may simply be
ignored, because although we are no longer bound by the disciplinary ruling that
St. Paul prescribes, the teaching underlying it about the place of man &amp;
woman respective to one another in the order of creation. A similar point can be
made for all the disciplinary laws found in the Old Testament: we do not simply
get rid of the Old Testament as something no longer applicable, but we maintain
it as part of our Bibles as something which has perpetual significance in spite
of its most superficial meanings having been fulfilled already in Jesus Christ
and no longer binding on the participants of the New Covenant.
</p>

<p>
I am not saying that reading with footnotes is necessarily the superior way of
reading Scripture. After all, I do not think that the Church Fathers had
footnotes while reading the Scriptures either. In fact, much of Scripture,
particularly in the Catholic tradition, is meant to be read in a liturgical
context where one has the guidance of a priest, is prepared spiritually by the
context of the Mass, and is primed for the reading by the flow of the liturgical
seasons. However, especially when reading the Scriptures privately I think it's
worth the effort to have some clarifying contextualization that helps us to
understand the meaning behind the words of the text. We must remember that
Scripture, like any sign, is a visible symbol of an invisible (and spiritual)
reality.
</p>

<?php
require 'templates/blog-footer.php';
?>